- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- ContrastImage
- EqualizeImage
- GammaImage
- ModulateImage
- NegateImage
- NormalizeImage

# NAME

enhance - Methods to Enhance an Image

# SYNOPSIS

unsigned int ContrastImage( Image *image, const unsigned int sharpen );

unsigned int EqualizeImage( Image *image );

unsigned int GammaImage( Image *image, const char *gamma );

unsigned int ModulateImage( Image *image, const char *modulate );

unsigned int NegateImage( Image *image, const unsigned int grayscale );

unsigned int NormalizeImage( Image *image );

# FUNCTION DESCRIPTIONS

## ContrastImage

Method ContrastImage enhances the intensity differences between the lighter and darker elements of the image.

The format of the ContrastImage method is:

> unsigned int ContrastImage ( Image *image, const unsigned int sharpen );

A description of each parameter follows:

image:
  The address of a structure of type Image; returned from ReadImage.

sharpen:
  If True, the intensity is increased otherwise it is decreased.

## EqualizeImage

Method EqualizeImage performs histogram equalization on the reference image.

The format of the EqualizeImage method is:

> unsigned int EqualizeImage ( Image *image );

A description of each parameter follows:

image:
  The address of a structure of type Image; returned from ReadImage.

## GammaImage

Method GammaImage converts the reference image to gamma corrected colors.

The format of the GammaImage method is:

> unsigned int GammaImage ( Image *image, const char *gamma );

A description of each parameter follows:

image:
  The address of a structure of type Image; returned from ReadImage.

gamma:
  A character string indicating the level of gamma correction.

## ModulateImage

Method ModulateImage modulates the hue, saturation, and brightness of an image.

The format of the ModulateImage method is:

> unsigned int ModulateImage ( Image *image, const char *modulate );

A description of each parameter follows:

image:
  The address of a structure of type Image; returned from ReadImage.

modulate:
  A character string indicating the percent change in brightness, saturation, and hue in floating point notation separated by commas (e.g. 110.1,100.0,83.1).

## NegateImage

Method NegateImage negates the colors in the reference image. The Grayscale option means that only grayscale values within the image are negated.

The format of the NegateImage method is:

> unsigned int NegateImage ( Image *image, const unsigned int grayscale );

A description of each parameter follows:

image:
  The address of a structure of type Image; returned from ReadImage.

## NormalizeImage

Method NormalizeImage normalizes the pixel values to span the full range of color values. This is a contrast enhancement technique.

The format of the NormalizeImage method is:

> unsigned int NormalizeImage ( Image *image );

A description of each parameter follows:

image:
  The address of a structure of type Image; returned from ReadImage.